Subject: (ngtrans) Re: RFC 1886 Interop Tests & Results

From: Pekka Savola <[email-masked]>
Date: Mon, 15 Jul 2002 09:34:31 +0300 (EEST)

On Mon, 15 Jul 2002 [email-masked] wrote:

> > 
> > On Mon, 15 Jul 2002, Brad Knowles wrote:
> > [ post by non-subscriber.  with the massive amount of spam, it is easy to
> >   miss and therefore delete mis-posts.  so fix subscription addresses! ]
> > 
> > > At 6:35 AM +0900 2002/07/15, Jun-ichiro itojun Hagino wrote:
> > > 
> > > >  	the co-existence of ip6.int and ip6.arpa tree will require us to:
> > > >  		query ip6.arpa;
> > > >  		if (no record)
> > > >  			query ip6.int;
> > > >  	for backward compatibility.  was it taken into account, or did you
> > > >  	test just "ip6.arpa" lookups?
> > > 
> > > 	I checked the source code for BIND 9.2.1, and IIRC it checks 
> > > ip6.int first and then ip6.arpa second.  This allows us to stand up 
> > > ip6.arpa whenever, and then once that is set, we can tear down 
> > > ip6.int.
> > 
> > FWIW, e.g. Linux glibc resolver only checks ip6.arpa now, so you'd better 
> > start standing up..
> > 
> 	
> 	Yet another instance of Linux jumping the gun... :)

I seem to recall there was some Best Current Practises about this 11
months ago.

-- 
Pekka Savola                 "Tell me of difficulties surmounted,
Netcore Oy                   not those you stumble over and fall"
Systems. Networks. Security.  -- Robert Jordan: A Crown of Swords

---

From: Francis Dupont <[email-masked]>
Date: Wed, 17 Jul 2002 14:37:03 +0200

In your previous mail you wrote:

   	Moreover, this test should be labelled a "Standards Conformance 
   Test" or "Standards Compliance Test", and not an "Interoperability 
   Test", because the latter can be construed to be discussing 
   "products" as opposed to pre-alpha testing mules.
   
=> I don't know if there is a difference between a "Standards Conformance
Test" and a "Standards Compliance Test" but there is a large one between
a "Standards Conformance Test" and an "Interoperability Test". And
this test is clearly in the second category, so the label is correct.

Regards

[email-masked]

PS: I can give a contact in one of the four IPv6 test groups I know
if you need details, pointers to standards, etc. BTW one of these groups
participated to this test...